Summary:	Conservative garbage collector
Name:		gc
Version:	6.4
Release:	1.PU_IAS.1
License:	BSD-like
Group:		Development/Libraries
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}%{version}.tar.gz
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)

%description
Gc is a conservative garbage collector for C and C++. It is used as a
replacement for standard malloc() and free(). GC_malloc will attempt
to reclaim inaccessible space automatically by invoking a conservative
garbage collector at appropriate points.


%package devel
Summary:	Headers for conservative garbage collector
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Headers for conservative garbage collector

%package static
Summary:	Static version of gc library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of gc library

%prep
%setup -q -n %{name}%{version}

%build
#cp -f /usr/share/automake/config.* .
#%configure2_13
%configure
#sed -e 's/-lpthread/& -ldl/' Makefile > Makefile.tmp
#mv -f Makefile.tmp Makefile
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#install -d $RPM_BUILD_ROOT%{_includedir}/gc
#cp -ar include/* $RPM_BUILD_ROOT%{_includedir}/gc
rm -f $RPM_BUILD_ROOT%{_includedir}/*.h
rm -f $RPM_BUILD_ROOT/usr/share/gc/{README*,*html,gc.man,barrett_diagram}

install -d $RPM_BUILD_ROOT%{_mandir}/man3
cp doc/gc.man $RPM_BUILD_ROOT%{_mandir}/man3/gc.3

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.QUICK doc/README* doc/*html doc/barrett_diagram
%doc doc/*.html
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gc
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/*/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%changelog
* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Wed Sep 04 2002 Josko Plazonic <plazonic@math.princeton.edu>
- picked up rpm from PLD distribution and adapted for local needs
